package cn.iocoder.yudao.module.member.service.activitymenu;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.member.controller.admin.activitymenu.vo.ActivityMenuPageReqVO;
import cn.iocoder.yudao.module.member.controller.admin.activitymenu.vo.ActivityMenuSaveReqVO;
import cn.iocoder.yudao.module.member.dal.dataobject.activitymenu.ActivityMenuDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 活动套餐 Service 接口
 *
 * @author 我是秦俊旗
 */
public interface ActivityMenuService {

    /**
     * 创建活动套餐
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createActivityMenu(@Valid ActivityMenuSaveReqVO createReqVO);

    /**
     * 更新活动套餐
     *
     * @param updateReqVO 更新信息
     */
    void updateActivityMenu(@Valid ActivityMenuSaveReqVO updateReqVO);

    /**
     * 删除活动套餐
     *
     * @param id 编号
     */
    void deleteActivityMenu(Long id);

    /**
     * 获得活动套餐
     *
     * @param id 编号
     * @return 活动套餐
     */
    ActivityMenuDO getActivityMenu(Long id);

    /**
     * 获得活动套餐分页
     *
     * @param pageReqVO 分页查询
     * @return 活动套餐分页
     */
    PageResult<ActivityMenuDO> getActivityMenuPage(ActivityMenuPageReqVO pageReqVO);


    List<ActivityMenuDO> getListByIds(List<Long>  ids);

    List<ActivityMenuDO> getListByMerchantId(Long merchantId);
}